#include "GraphicsScene.h"
#include <QGraphicsSceneDragDropEvent>
#include <QGraphicsSceneMouseEvent>
#include <QKeyEvent>
#include <QDebug>

GraphicsScene::GraphicsScene(QObject *parent) :
    QGraphicsScene(parent)
{}

GraphicsScene::~GraphicsScene()
{}

void GraphicsScene::dragEnterEvent(QGraphicsSceneDragDropEvent *e)
{
    e->ignore();
}

void GraphicsScene::dragMoveEvent(QGraphicsSceneDragDropEvent *e)
{
    e->ignore();
}

void GraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent *e)
{
    e->ignore();
}

void GraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent *e)
{
    e->ignore();
}

void GraphicsScene::keyPressEvent(QKeyEvent *e)
{
    e->ignore();
}
